<div *ngIf="!cardsOnly"><app-navbar></app-navbar></div>

<section class="collection">
  <div *ngIf="!cardsOnly">
    <div class='container' style="margin-top: 90px;">
      <div class="row">
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text">Min Attaque</span>
          </div>
          <input type="number" class="form-control" aria-label="Pokename" aria-describedby="basic-addon1" [(ngModel)]="minAtk">
        </div>
      </div>
    </div>
  </div>

  <div class="row  justify-content-center">
    <div *ngFor='let pokemon of (pokemons | collectionFilter:minAtk); let i = index'>
      <div class="col">
        <div class="card" appBorderHover>
          <div *ngIf="pokemon.name != null">
            <!-- Comme on ajoute des objets vides le temps que les cartes se chargent -->
            <div *ngIf="cardsOnly">
              <button type="button" class="close delete" aria-label="Close" (click)="delegateRemovePokemon(i)" matTooltip="Supprimer">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div *ngIf="!cardsOnly">
              <button type="button" class="close delete" aria-label="Close" (click)="removePokemon(i)" matTooltip="Supprimer de mon deck">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="card-body">
              <h5 class="card-title">{{ pokemon.name }}</h5>
              <p class="card-text"><img [src]="pokemon.image"></p>
              <span class="{{  pokemon.type | pokemonTypeColor }}">{{ pokemon.type }}</span>
              <!--<img src="../../assets/pokemon_image/pokeball.png" alt="pokeball">-->
              <ng-template #content let-c="close" let-d="dismiss">
                <div class="modal-header">
                  <h4 class="modal-title" id="modal-basic-title">{{ pokemon.name }}</h4>
                  <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="card-text">
                    <img [src]="pokemon.image">
                  </div>
                  <div class="card">
                    <div class="card-body">
                      <table class="table table-striped">
                        <tbody>
                          <tr>
                            <td>Nom</td>
                            <td><strong>{{ pokemon.name }}</strong></td>
                          </tr>
                          <tr>
                            <td>Points de vie</td>
                            <td><strong>{{ pokemon.stats.hp }}</strong></td>
                          </tr>
                          <tr>
                            <td>Dégâts</td>
                            <td><strong>{{ pokemon.stats.attack }}</strong></td>
                          </tr>

                          <tr>
                            <td>Vitesse </td>
                            <td><strong>{{ pokemon.stats.speed }}</strong></td>
                          </tr>
                          <tr>
                            <td>Dégâts</td>
                            <td><strong>{{ pokemon.stats.defense }}</strong></td>
                          </tr>
                          <tr>
                            <td>Types</td>
                            <td>
                              <span class="{{  pokemon.type | pokemonTypeColor }}">{{ pokemon.type }}</span>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="modal-footer">
                  <!-- <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button> -->
                </div>
              </ng-template>
              <br />
              <br />
              <div style="display: flex; flex-direction: row; align-items: center;">
                <button class="btn btn-lg btn-outline-danger btn-sm" (click)="open(content)">En savoir +</button>
                <div *ngIf="cardsOnly"><i class="far fa-lg fa-hand-lizard" style="margin-left: 10px;" matTooltip="Ajouter à mon deck" (click)="addToDeck(i)"></i></div>
              </div>
            </div>
          </div>
          <div *ngIf="pokemon.name == null">
            <!-- Comme on ajoute des objets vides le temps que les cartes se chargent -->
            <div class="card-body">
              <h5 class="card-title">Chargement</h5>
              <p class="card-text"><img src="http://rs35.pbsrc.com/albums/d151/anime_forever_303/animited%20gifs/pokeball_free_icon_by_scratch_the_hedgie-d3jwgjs.gif~c200"
                  WIDTH="100"></p>
              <!-- <span class="{{  pokemon.type | pokemonTypeColor }}">{{ pokemon.type }}</span> -->
              <!--<img src="../../assets/pokemon_image/pokeball.png" alt="pokeball">-->
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</section>
<router-outlet></router-outlet>
<style>
  .card {
    margin-bottom: 50px;
  }
</style>